pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.0.1 20220125 (Red Hat 12.0.1-0)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#b6bc5f58#;
   pragma Export (C, u00001, "mine_detectorB");
   u00002 : constant Version_32 := 16#7320ff5f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#369079a0#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#a94883d4#;
   pragma Export (C, u00004, "ada__strings__text_buffersB");
   u00005 : constant Version_32 := 16#bb49bb93#;
   pragma Export (C, u00005, "ada__strings__text_buffersS");
   u00006 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00006, "adaS");
   u00007 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00007, "ada__stringsS");
   u00008 : constant Version_32 := 16#249ede39#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00009, "system__exception_tableB");
   u00010 : constant Version_32 := 16#a9b5a820#;
   pragma Export (C, u00010, "system__exception_tableS");
   u00011 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00011, "system__soft_linksB");
   u00012 : constant Version_32 := 16#6c4ca32d#;
   pragma Export (C, u00012, "system__soft_linksS");
   u00013 : constant Version_32 := 16#e12f1eb0#;
   pragma Export (C, u00013, "system__secondary_stackB");
   u00014 : constant Version_32 := 16#ff49f769#;
   pragma Export (C, u00014, "system__secondary_stackS");
   u00015 : constant Version_32 := 16#fdce41ad#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#78865534#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#6dc27684#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#163b610b#;
   pragma Export (C, u00019, "system__exceptionsS");
   u00020 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00020, "system__exceptions__machineB");
   u00021 : constant Version_32 := 16#8bdfdbe3#;
   pragma Export (C, u00021, "system__exceptions__machineS");
   u00022 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00022, "system__exceptions_debugB");
   u00023 : constant Version_32 := 16#1490866a#;
   pragma Export (C, u00023, "system__exceptions_debugS");
   u00024 : constant Version_32 := 16#9417ad72#;
   pragma Export (C, u00024, "system__img_intS");
   u00025 : constant Version_32 := 16#ec4fa52d#;
   pragma Export (C, u00025, "system__storage_elementsB");
   u00026 : constant Version_32 := 16#4910c1cd#;
   pragma Export (C, u00026, "system__storage_elementsS");
   u00027 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00027, "system__tracebackB");
   u00028 : constant Version_32 := 16#a2042a84#;
   pragma Export (C, u00028, "system__tracebackS");
   u00029 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00029, "system__traceback_entriesB");
   u00030 : constant Version_32 := 16#ec8261b5#;
   pragma Export (C, u00030, "system__traceback_entriesS");
   u00031 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00031, "system__traceback__symbolicB");
   u00032 : constant Version_32 := 16#d9e66ad1#;
   pragma Export (C, u00032, "system__traceback__symbolicS");
   u00033 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00033, "ada__exceptions__tracebackB");
   u00034 : constant Version_32 := 16#eb07882c#;
   pragma Export (C, u00034, "ada__exceptions__tracebackS");
   u00035 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00035, "system__address_imageB");
   u00036 : constant Version_32 := 16#85724303#;
   pragma Export (C, u00036, "system__address_imageS");
   u00037 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00037, "system__wch_conB");
   u00038 : constant Version_32 := 16#fd9dfd5a#;
   pragma Export (C, u00038, "system__wch_conS");
   u00039 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00039, "system__wch_stwB");
   u00040 : constant Version_32 := 16#d08cd15b#;
   pragma Export (C, u00040, "system__wch_stwS");
   u00041 : constant Version_32 := 16#002bec7b#;
   pragma Export (C, u00041, "system__wch_cnvB");
   u00042 : constant Version_32 := 16#fb5d372a#;
   pragma Export (C, u00042, "system__wch_cnvS");
   u00043 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00043, "interfacesS");
   u00044 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00044, "system__wch_jisB");
   u00045 : constant Version_32 := 16#4eea5500#;
   pragma Export (C, u00045, "system__wch_jisS");
   u00046 : constant Version_32 := 16#821dff88#;
   pragma Export (C, u00046, "system__parametersB");
   u00047 : constant Version_32 := 16#f00a7a9f#;
   pragma Export (C, u00047, "system__parametersS");
   u00048 : constant Version_32 := 16#37c92568#;
   pragma Export (C, u00048, "system__soft_links__initializeB");
   u00049 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00049, "system__soft_links__initializeS");
   u00050 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00050, "system__stack_checkingB");
   u00051 : constant Version_32 := 16#42910033#;
   pragma Export (C, u00051, "system__stack_checkingS");
   u00052 : constant Version_32 := 16#7e7d940a#;
   pragma Export (C, u00052, "ada__strings__utf_encodingB");
   u00053 : constant Version_32 := 16#84aa91b0#;
   pragma Export (C, u00053, "ada__strings__utf_encodingS");
   u00054 : constant Version_32 := 16#d1d1ed0b#;
   pragma Export (C, u00054, "ada__strings__utf_encoding__wide_stringsB");
   u00055 : constant Version_32 := 16#a373d741#;
   pragma Export (C, u00055, "ada__strings__utf_encoding__wide_stringsS");
   u00056 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00056, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00057 : constant Version_32 := 16#22a4a396#;
   pragma Export (C, u00057, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00058 : constant Version_32 := 16#c3fbe91b#;
   pragma Export (C, u00058, "ada__tagsB");
   u00059 : constant Version_32 := 16#8bc79dfc#;
   pragma Export (C, u00059, "ada__tagsS");
   u00060 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00060, "system__htableB");
   u00061 : constant Version_32 := 16#a54786d2#;
   pragma Export (C, u00061, "system__htableS");
   u00062 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00062, "system__string_hashB");
   u00063 : constant Version_32 := 16#020206ad#;
   pragma Export (C, u00063, "system__string_hashS");
   u00064 : constant Version_32 := 16#deb4a160#;
   pragma Export (C, u00064, "system__unsigned_typesS");
   u00065 : constant Version_32 := 16#fff5c3d9#;
   pragma Export (C, u00065, "system__val_lluS");
   u00066 : constant Version_32 := 16#273bd629#;
   pragma Export (C, u00066, "system__val_utilB");
   u00067 : constant Version_32 := 16#a680489f#;
   pragma Export (C, u00067, "system__val_utilS");
   u00068 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00068, "system__case_utilB");
   u00069 : constant Version_32 := 16#eb8d096c#;
   pragma Export (C, u00069, "system__case_utilS");
   u00070 : constant Version_32 := 16#c70cf13f#;
   pragma Export (C, u00070, "gtkS");
   u00071 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00071, "gdkS");
   u00072 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00072, "glibB");
   u00073 : constant Version_32 := 16#c46df7cc#;
   pragma Export (C, u00073, "glibS");
   u00074 : constant Version_32 := 16#7f1e3740#;
   pragma Export (C, u00074, "interfaces__cB");
   u00075 : constant Version_32 := 16#1bfc3385#;
   pragma Export (C, u00075, "interfaces__cS");
   u00076 : constant Version_32 := 16#4b1089a6#;
   pragma Export (C, u00076, "interfaces__c__stringsB");
   u00077 : constant Version_32 := 16#1699b2a3#;
   pragma Export (C, u00077, "interfaces__c__stringsS");
   u00078 : constant Version_32 := 16#ee52fa88#;
   pragma Export (C, u00078, "system__finalization_mastersB");
   u00079 : constant Version_32 := 16#a2cdeb4a#;
   pragma Export (C, u00079, "system__finalization_mastersS");
   u00080 : constant Version_32 := 16#20ec7aa3#;
   pragma Export (C, u00080, "system__ioB");
   u00081 : constant Version_32 := 16#badc2976#;
   pragma Export (C, u00081, "system__ioS");
   u00082 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00082, "ada__finalizationS");
   u00083 : constant Version_32 := 16#b4f41810#;
   pragma Export (C, u00083, "ada__streamsB");
   u00084 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00084, "ada__streamsS");
   u00085 : constant Version_32 := 16#367911c4#;
   pragma Export (C, u00085, "ada__io_exceptionsS");
   u00086 : constant Version_32 := 16#5fc04ee2#;
   pragma Export (C, u00086, "system__put_imagesB");
   u00087 : constant Version_32 := 16#889d6585#;
   pragma Export (C, u00087, "system__put_imagesS");
   u00088 : constant Version_32 := 16#22b9eb9f#;
   pragma Export (C, u00088, "ada__strings__text_buffers__utilsB");
   u00089 : constant Version_32 := 16#608bd105#;
   pragma Export (C, u00089, "ada__strings__text_buffers__utilsS");
   u00090 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00090, "system__finalization_rootB");
   u00091 : constant Version_32 := 16#6b6cada9#;
   pragma Export (C, u00091, "system__finalization_rootS");
   u00092 : constant Version_32 := 16#35d6ef80#;
   pragma Export (C, u00092, "system__storage_poolsB");
   u00093 : constant Version_32 := 16#1fa56c7e#;
   pragma Export (C, u00093, "system__storage_poolsS");
   u00094 : constant Version_32 := 16#7c78c3c5#;
   pragma Export (C, u00094, "system__pool_globalB");
   u00095 : constant Version_32 := 16#319a6134#;
   pragma Export (C, u00095, "system__pool_globalS");
   u00096 : constant Version_32 := 16#1982dcd0#;
   pragma Export (C, u00096, "system__memoryB");
   u00097 : constant Version_32 := 16#7f1aece9#;
   pragma Export (C, u00097, "system__memoryS");
   u00098 : constant Version_32 := 16#7a0ce867#;
   pragma Export (C, u00098, "system__crtlS");
   u00099 : constant Version_32 := 16#3fbee080#;
   pragma Export (C, u00099, "glib__objectB");
   u00100 : constant Version_32 := 16#c6371ef1#;
   pragma Export (C, u00100, "glib__objectS");
   u00101 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00101, "glib__type_conversion_hooksB");
   u00102 : constant Version_32 := 16#445b1475#;
   pragma Export (C, u00102, "glib__type_conversion_hooksS");
   u00103 : constant Version_32 := 16#7240794d#;
   pragma Export (C, u00103, "system__storage_pools__subpoolsB");
   u00104 : constant Version_32 := 16#6402a21c#;
   pragma Export (C, u00104, "system__storage_pools__subpoolsS");
   u00105 : constant Version_32 := 16#b0df1928#;
   pragma Export (C, u00105, "system__storage_pools__subpools__finalizationB");
   u00106 : constant Version_32 := 16#562129f7#;
   pragma Export (C, u00106, "system__storage_pools__subpools__finalizationS");
   u00107 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00107, "gtkadaS");
   u00108 : constant Version_32 := 16#51860541#;
   pragma Export (C, u00108, "gtkada__bindingsB");
   u00109 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00109, "gtkada__bindingsS");
   u00110 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00110, "gnatS");
   u00111 : constant Version_32 := 16#2b19e51a#;
   pragma Export (C, u00111, "gnat__stringsS");
   u00112 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00112, "system__stringsB");
   u00113 : constant Version_32 := 16#bf1cde21#;
   pragma Export (C, u00113, "system__stringsS");
   u00114 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00114, "gtkada__cB");
   u00115 : constant Version_32 := 16#72f22b72#;
   pragma Export (C, u00115, "gtkada__cS");
   u00116 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00116, "gtkada__typesB");
   u00117 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00117, "gtkada__typesS");
   u00118 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00118, "glib__glistB");
   u00119 : constant Version_32 := 16#4e7c2204#;
   pragma Export (C, u00119, "glib__glistS");
   u00120 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00120, "glib__gslistB");
   u00121 : constant Version_32 := 16#a43d154b#;
   pragma Export (C, u00121, "glib__gslistS");
   u00122 : constant Version_32 := 16#d50f3cfb#;
   pragma Export (C, u00122, "system__stream_attributesB");
   u00123 : constant Version_32 := 16#38f0f955#;
   pragma Export (C, u00123, "system__stream_attributesS");
   u00124 : constant Version_32 := 16#d998b4f3#;
   pragma Export (C, u00124, "system__stream_attributes__xdrB");
   u00125 : constant Version_32 := 16#42985e70#;
   pragma Export (C, u00125, "system__stream_attributes__xdrS");
   u00126 : constant Version_32 := 16#e7ac0155#;
   pragma Export (C, u00126, "system__fat_fltS");
   u00127 : constant Version_32 := 16#c19e0858#;
   pragma Export (C, u00127, "system__fat_lfltS");
   u00128 : constant Version_32 := 16#bb4ea6b2#;
   pragma Export (C, u00128, "system__fat_llfS");
   u00129 : constant Version_32 := 16#6d046f28#;
   pragma Export (C, u00129, "gtk__mainB");
   u00130 : constant Version_32 := 16#87f1bb3f#;
   pragma Export (C, u00130, "gtk__mainS");
   u00131 : constant Version_32 := 16#e6c57dae#;
   pragma Export (C, u00131, "gdk__typesS");
   u00132 : constant Version_32 := 16#58466d3f#;
   pragma Export (C, u00132, "glib__generic_propertiesB");
   u00133 : constant Version_32 := 16#0dfedcb1#;
   pragma Export (C, u00133, "glib__generic_propertiesS");
   u00134 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00134, "glib__valuesB");
   u00135 : constant Version_32 := 16#bcfd7f51#;
   pragma Export (C, u00135, "glib__valuesS");
   u00136 : constant Version_32 := 16#9c53bfc1#;
   pragma Export (C, u00136, "gdk__eventB");
   u00137 : constant Version_32 := 16#ff32cc42#;
   pragma Export (C, u00137, "gdk__eventS");
   u00138 : constant Version_32 := 16#28fa3680#;
   pragma Export (C, u00138, "gdk__rectangleB");
   u00139 : constant Version_32 := 16#3ace198e#;
   pragma Export (C, u00139, "gdk__rectangleS");
   u00140 : constant Version_32 := 16#a738a1a3#;
   pragma Export (C, u00140, "cairoB");
   u00141 : constant Version_32 := 16#51af023a#;
   pragma Export (C, u00141, "cairoS");
   u00142 : constant Version_32 := 16#50ae1241#;
   pragma Export (C, u00142, "cairo__regionB");
   u00143 : constant Version_32 := 16#3ad35712#;
   pragma Export (C, u00143, "cairo__regionS");
   u00144 : constant Version_32 := 16#b7ed16af#;
   pragma Export (C, u00144, "gdk__windowB");
   u00145 : constant Version_32 := 16#8ba1f70c#;
   pragma Export (C, u00145, "gdk__windowS");
   u00146 : constant Version_32 := 16#32743364#;
   pragma Export (C, u00146, "gtk__widgetB");
   u00147 : constant Version_32 := 16#911c92a4#;
   pragma Export (C, u00147, "gtk__widgetS");
   u00148 : constant Version_32 := 16#81e1a166#;
   pragma Export (C, u00148, "gdk__colorB");
   u00149 : constant Version_32 := 16#be8c9938#;
   pragma Export (C, u00149, "gdk__colorS");
   u00150 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00150, "gdk__visualB");
   u00151 : constant Version_32 := 16#1c041a7d#;
   pragma Export (C, u00151, "gdk__visualS");
   u00152 : constant Version_32 := 16#8b0f7857#;
   pragma Export (C, u00152, "gtk__enumsB");
   u00153 : constant Version_32 := 16#d0892b84#;
   pragma Export (C, u00153, "gtk__enumsS");
   u00154 : constant Version_32 := 16#a1842d3f#;
   pragma Export (C, u00154, "gtk__styleB");
   u00155 : constant Version_32 := 16#adc59eaa#;
   pragma Export (C, u00155, "gtk__styleS");
   u00156 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00156, "pangoS");
   u00157 : constant Version_32 := 16#7e92ca7e#;
   pragma Export (C, u00157, "pango__fontB");
   u00158 : constant Version_32 := 16#74beb6b7#;
   pragma Export (C, u00158, "pango__fontS");
   u00159 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00159, "pango__enumsB");
   u00160 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00160, "pango__enumsS");
   u00161 : constant Version_32 := 16#375a3911#;
   pragma Export (C, u00161, "gdk__fontB");
   u00162 : constant Version_32 := 16#36f135f3#;
   pragma Export (C, u00162, "gdk__fontS");
   u00163 : constant Version_32 := 16#5cfa8a9f#;
   pragma Export (C, u00163, "gdk__gcB");
   u00164 : constant Version_32 := 16#17b10250#;
   pragma Export (C, u00164, "gdk__gcS");
   u00165 : constant Version_32 := 16#c6c6973a#;
   pragma Export (C, u00165, "gdk__regionB");
   u00166 : constant Version_32 := 16#c39790b5#;
   pragma Export (C, u00166, "gdk__regionS");
   u00167 : constant Version_32 := 16#d1c20227#;
   pragma Export (C, u00167, "gdk__pixmapB");
   u00168 : constant Version_32 := 16#af0526c2#;
   pragma Export (C, u00168, "gdk__pixmapS");
   u00169 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00169, "gdk__bitmapB");
   u00170 : constant Version_32 := 16#f567db9b#;
   pragma Export (C, u00170, "gdk__bitmapS");
   u00171 : constant Version_32 := 16#b84c3952#;
   pragma Export (C, u00171, "gtk__objectB");
   u00172 : constant Version_32 := 16#4e072ff5#;
   pragma Export (C, u00172, "gtk__objectS");
   u00173 : constant Version_32 := 16#17a869e9#;
   pragma Export (C, u00173, "glib__propertiesB");
   u00174 : constant Version_32 := 16#61a8db73#;
   pragma Export (C, u00174, "glib__propertiesS");
   u00175 : constant Version_32 := 16#b203698c#;
   pragma Export (C, u00175, "pango__layoutB");
   u00176 : constant Version_32 := 16#32af7128#;
   pragma Export (C, u00176, "pango__layoutS");
   u00177 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00177, "pango__attributesB");
   u00178 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00178, "pango__attributesS");
   u00179 : constant Version_32 := 16#915f6206#;
   pragma Export (C, u00179, "pango__contextB");
   u00180 : constant Version_32 := 16#df5146b2#;
   pragma Export (C, u00180, "pango__contextS");
   u00181 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00181, "pango__tabsB");
   u00182 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00182, "pango__tabsS");
   u00183 : constant Version_32 := 16#cc66089b#;
   pragma Export (C, u00183, "gtk__windowB");
   u00184 : constant Version_32 := 16#64f6f30a#;
   pragma Export (C, u00184, "gtk__windowS");
   u00185 : constant Version_32 := 16#5b0bf86e#;
   pragma Export (C, u00185, "gdk__pixbufB");
   u00186 : constant Version_32 := 16#bfa13f58#;
   pragma Export (C, u00186, "gdk__pixbufS");
   u00187 : constant Version_32 := 16#85bbf109#;
   pragma Export (C, u00187, "gdk__cursorB");
   u00188 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00188, "gdk__cursorS");
   u00189 : constant Version_32 := 16#552ff965#;
   pragma Export (C, u00189, "gdk__displayB");
   u00190 : constant Version_32 := 16#a37ccb2a#;
   pragma Export (C, u00190, "gdk__displayS");
   u00191 : constant Version_32 := 16#697f0b28#;
   pragma Export (C, u00191, "gdk__drawableB");
   u00192 : constant Version_32 := 16#5ab47d3c#;
   pragma Export (C, u00192, "gdk__drawableS");
   u00193 : constant Version_32 := 16#7f52da44#;
   pragma Export (C, u00193, "gdk__rgbB");
   u00194 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00194, "gdk__rgbS");
   u00195 : constant Version_32 := 16#1f530e0d#;
   pragma Export (C, u00195, "glib__errorB");
   u00196 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00196, "glib__errorS");
   u00197 : constant Version_32 := 16#4105bdf9#;
   pragma Export (C, u00197, "gtk__accel_groupB");
   u00198 : constant Version_32 := 16#c1d3ea52#;
   pragma Export (C, u00198, "gtk__accel_groupS");
   u00199 : constant Version_32 := 16#a197cf03#;
   pragma Export (C, u00199, "gtk__binB");
   u00200 : constant Version_32 := 16#49646a83#;
   pragma Export (C, u00200, "gtk__binS");
   u00201 : constant Version_32 := 16#e2563089#;
   pragma Export (C, u00201, "glib__typesB");
   u00202 : constant Version_32 := 16#f6281d9f#;
   pragma Export (C, u00202, "glib__typesS");
   u00203 : constant Version_32 := 16#21574a83#;
   pragma Export (C, u00203, "gtk__buildableB");
   u00204 : constant Version_32 := 16#91a889d8#;
   pragma Export (C, u00204, "gtk__buildableS");
   u00205 : constant Version_32 := 16#cc6900ff#;
   pragma Export (C, u00205, "gtk__builderB");
   u00206 : constant Version_32 := 16#10a399e0#;
   pragma Export (C, u00206, "gtk__builderS");
   u00207 : constant Version_32 := 16#afdfcd36#;
   pragma Export (C, u00207, "gtk__containerB");
   u00208 : constant Version_32 := 16#fe9a550d#;
   pragma Export (C, u00208, "gtk__containerS");
   u00209 : constant Version_32 := 16#d43b17a9#;
   pragma Export (C, u00209, "gtk__adjustmentB");
   u00210 : constant Version_32 := 16#87a9fd8d#;
   pragma Export (C, u00210, "gtk__adjustmentS");
   u00211 : constant Version_32 := 16#6e5d049a#;
   pragma Export (C, u00211, "system__atomic_operations__test_and_setB");
   u00212 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00212, "system__atomic_operations__test_and_setS");
   u00213 : constant Version_32 := 16#e3fda41c#;
   pragma Export (C, u00213, "system__atomic_operationsS");
   u00214 : constant Version_32 := 16#29cc6115#;
   pragma Export (C, u00214, "system__atomic_primitivesB");
   u00215 : constant Version_32 := 16#1d094573#;
   pragma Export (C, u00215, "system__atomic_primitivesS");
   u00216 : constant Version_32 := 16#911b71e4#;
   pragma Export (C, u00216, "user_ifB");
   u00217 : constant Version_32 := 16#579442af#;
   pragma Export (C, u00217, "user_ifS");
   u00218 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00218, "ada__charactersS");
   u00219 : constant Version_32 := 16#cde9ea2d#;
   pragma Export (C, u00219, "ada__characters__latin_1S");
   u00220 : constant Version_32 := 16#8edb20d6#;
   pragma Export (C, u00220, "ada__strings__unboundedB");
   u00221 : constant Version_32 := 16#35ed6de3#;
   pragma Export (C, u00221, "ada__strings__unboundedS");
   u00222 : constant Version_32 := 16#091deb62#;
   pragma Export (C, u00222, "ada__strings__fixedB");
   u00223 : constant Version_32 := 16#780cfb01#;
   pragma Export (C, u00223, "ada__strings__fixedS");
   u00224 : constant Version_32 := 16#6424b9ce#;
   pragma Export (C, u00224, "ada__strings__mapsB");
   u00225 : constant Version_32 := 16#5349602c#;
   pragma Export (C, u00225, "ada__strings__mapsS");
   u00226 : constant Version_32 := 16#96b40646#;
   pragma Export (C, u00226, "system__bit_opsB");
   u00227 : constant Version_32 := 16#e96d7205#;
   pragma Export (C, u00227, "system__bit_opsS");
   u00228 : constant Version_32 := 16#dc327c60#;
   pragma Export (C, u00228, "ada__strings__searchB");
   u00229 : constant Version_32 := 16#dcefc5ee#;
   pragma Export (C, u00229, "ada__strings__searchS");
   u00230 : constant Version_32 := 16#190570e0#;
   pragma Export (C, u00230, "system__compare_array_unsigned_8B");
   u00231 : constant Version_32 := 16#b478405a#;
   pragma Export (C, u00231, "system__compare_array_unsigned_8S");
   u00232 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00232, "system__address_operationsB");
   u00233 : constant Version_32 := 16#5aaaf299#;
   pragma Export (C, u00233, "system__address_operationsS");
   u00234 : constant Version_32 := 16#fa841685#;
   pragma Export (C, u00234, "fieldS");
   u00235 : constant Version_32 := 16#4d346984#;
   pragma Export (C, u00235, "field__operationsB");
   u00236 : constant Version_32 := 16#0244ca25#;
   pragma Export (C, u00236, "field__operationsS");
   u00237 : constant Version_32 := 16#f2c63a02#;
   pragma Export (C, u00237, "ada__numericsS");
   u00238 : constant Version_32 := 16#787ee153#;
   pragma Export (C, u00238, "system__random_numbersB");
   u00239 : constant Version_32 := 16#44d334c8#;
   pragma Export (C, u00239, "system__random_numbersS");
   u00240 : constant Version_32 := 16#82a5330a#;
   pragma Export (C, u00240, "system__img_unsS");
   u00241 : constant Version_32 := 16#a778ef81#;
   pragma Export (C, u00241, "system__random_seedB");
   u00242 : constant Version_32 := 16#c8d78d55#;
   pragma Export (C, u00242, "system__random_seedS");
   u00243 : constant Version_32 := 16#49218ed0#;
   pragma Export (C, u00243, "ada__calendarB");
   u00244 : constant Version_32 := 16#8324cd02#;
   pragma Export (C, u00244, "ada__calendarS");
   u00245 : constant Version_32 := 16#3d77d417#;
   pragma Export (C, u00245, "system__os_libB");
   u00246 : constant Version_32 := 16#def20e66#;
   pragma Export (C, u00246, "system__os_libS");
   u00247 : constant Version_32 := 16#307180be#;
   pragma Export (C, u00247, "system__os_primitivesB");
   u00248 : constant Version_32 := 16#2363bbcf#;
   pragma Export (C, u00248, "system__os_primitivesS");
   u00249 : constant Version_32 := 16#dd3a1133#;
   pragma Export (C, u00249, "system__val_unsS");
   u00250 : constant Version_32 := 16#45c8dd84#;
   pragma Export (C, u00250, "gtk__argumentsB");
   u00251 : constant Version_32 := 16#94c26bbf#;
   pragma Export (C, u00251, "gtk__argumentsS");
   u00252 : constant Version_32 := 16#ac830e6e#;
   pragma Export (C, u00252, "gtk__boxB");
   u00253 : constant Version_32 := 16#3eadf058#;
   pragma Export (C, u00253, "gtk__boxS");
   u00254 : constant Version_32 := 16#04c07fef#;
   pragma Export (C, u00254, "gtk__orientableB");
   u00255 : constant Version_32 := 16#2882c3d4#;
   pragma Export (C, u00255, "gtk__orientableS");
   u00256 : constant Version_32 := 16#3d07fe83#;
   pragma Export (C, u00256, "gtk__buttonB");
   u00257 : constant Version_32 := 16#8fd41909#;
   pragma Export (C, u00257, "gtk__buttonS");
   u00258 : constant Version_32 := 16#87c1bb11#;
   pragma Export (C, u00258, "gtk__actionB");
   u00259 : constant Version_32 := 16#256f54a2#;
   pragma Export (C, u00259, "gtk__actionS");
   u00260 : constant Version_32 := 16#3059eb8c#;
   pragma Export (C, u00260, "glib__g_iconB");
   u00261 : constant Version_32 := 16#f53c77c6#;
   pragma Export (C, u00261, "glib__g_iconS");
   u00262 : constant Version_32 := 16#723c7711#;
   pragma Export (C, u00262, "gtk__activatableB");
   u00263 : constant Version_32 := 16#79a1d2f9#;
   pragma Export (C, u00263, "gtk__activatableS");
   u00264 : constant Version_32 := 16#1c89d725#;
   pragma Export (C, u00264, "gtk__check_buttonB");
   u00265 : constant Version_32 := 16#a0bd8201#;
   pragma Export (C, u00265, "gtk__check_buttonS");
   u00266 : constant Version_32 := 16#e633bda3#;
   pragma Export (C, u00266, "gtk__toggle_buttonB");
   u00267 : constant Version_32 := 16#6565ea8a#;
   pragma Export (C, u00267, "gtk__toggle_buttonS");
   u00268 : constant Version_32 := 16#94fe1c6e#;
   pragma Export (C, u00268, "gtk__dialogB");
   u00269 : constant Version_32 := 16#8fa4d0bf#;
   pragma Export (C, u00269, "gtk__dialogS");
   u00270 : constant Version_32 := 16#fd67284c#;
   pragma Export (C, u00270, "gtk__handlersB");
   u00271 : constant Version_32 := 16#dc606d67#;
   pragma Export (C, u00271, "gtk__handlersS");
   u00272 : constant Version_32 := 16#2fb34529#;
   pragma Export (C, u00272, "system__assertionsB");
   u00273 : constant Version_32 := 16#029da1a2#;
   pragma Export (C, u00273, "system__assertionsS");
   u00274 : constant Version_32 := 16#8b2c6428#;
   pragma Export (C, u00274, "ada__assertionsB");
   u00275 : constant Version_32 := 16#cc3ec2fd#;
   pragma Export (C, u00275, "ada__assertionsS");
   u00276 : constant Version_32 := 16#46ee6e54#;
   pragma Export (C, u00276, "gtk__marshallersB");
   u00277 : constant Version_32 := 16#08dc7f66#;
   pragma Export (C, u00277, "gtk__marshallersS");
   u00278 : constant Version_32 := 16#06d2a8a3#;
   pragma Export (C, u00278, "gtk__notebookB");
   u00279 : constant Version_32 := 16#1cb6bfd9#;
   pragma Export (C, u00279, "gtk__notebookS");
   u00280 : constant Version_32 := 16#e6be0bcd#;
   pragma Export (C, u00280, "gtk__tree_modelB");
   u00281 : constant Version_32 := 16#8825da3b#;
   pragma Export (C, u00281, "gtk__tree_modelS");
   u00282 : constant Version_32 := 16#dc38657a#;
   pragma Export (C, u00282, "gtk__labelB");
   u00283 : constant Version_32 := 16#443eed3e#;
   pragma Export (C, u00283, "gtk__labelS");
   u00284 : constant Version_32 := 16#73990cc1#;
   pragma Export (C, u00284, "gtk__miscB");
   u00285 : constant Version_32 := 16#28c2780b#;
   pragma Export (C, u00285, "gtk__miscS");
   u00286 : constant Version_32 := 16#fee9460f#;
   pragma Export (C, u00286, "gtk__menuB");
   u00287 : constant Version_32 := 16#1fd658b4#;
   pragma Export (C, u00287, "gtk__menuS");
   u00288 : constant Version_32 := 16#4940c18d#;
   pragma Export (C, u00288, "gtk__menu_shellB");
   u00289 : constant Version_32 := 16#6cad757a#;
   pragma Export (C, u00289, "gtk__menu_shellS");
   u00290 : constant Version_32 := 16#024290d6#;
   pragma Export (C, u00290, "gtk__menu_itemB");
   u00291 : constant Version_32 := 16#065672d2#;
   pragma Export (C, u00291, "gtk__menu_itemS");
   u00292 : constant Version_32 := 16#bd4baab2#;
   pragma Export (C, u00292, "gtk__itemB");
   u00293 : constant Version_32 := 16#b82be748#;
   pragma Export (C, u00293, "gtk__itemS");
   u00294 : constant Version_32 := 16#d67edd28#;
   pragma Export (C, u00294, "gdk__screenB");
   u00295 : constant Version_32 := 16#3c24ec57#;
   pragma Export (C, u00295, "gdk__screenS");
   u00296 : constant Version_32 := 16#a146a5e7#;
   pragma Export (C, u00296, "gtk__option_menuB");
   u00297 : constant Version_32 := 16#fb36a475#;
   pragma Export (C, u00297, "gtk__option_menuS");
   u00298 : constant Version_32 := 16#3b59ba83#;
   pragma Export (C, u00298, "gtk__radio_menu_itemB");
   u00299 : constant Version_32 := 16#26e1135e#;
   pragma Export (C, u00299, "gtk__radio_menu_itemS");
   u00300 : constant Version_32 := 16#14969890#;
   pragma Export (C, u00300, "gtk__check_menu_itemB");
   u00301 : constant Version_32 := 16#01fb11ba#;
   pragma Export (C, u00301, "gtk__check_menu_itemS");
   u00302 : constant Version_32 := 16#32e68b1d#;
   pragma Export (C, u00302, "gtk__scrolled_windowB");
   u00303 : constant Version_32 := 16#a424ce2f#;
   pragma Export (C, u00303, "gtk__scrolled_windowS");
   u00304 : constant Version_32 := 16#96914d87#;
   pragma Export (C, u00304, "gtk__scrollbarB");
   u00305 : constant Version_32 := 16#f4fbde14#;
   pragma Export (C, u00305, "gtk__scrollbarS");
   u00306 : constant Version_32 := 16#2b01d993#;
   pragma Export (C, u00306, "gtk__grangeB");
   u00307 : constant Version_32 := 16#4c4968cb#;
   pragma Export (C, u00307, "gtk__grangeS");
   u00308 : constant Version_32 := 16#516b621f#;
   pragma Export (C, u00308, "gtk__tableB");
   u00309 : constant Version_32 := 16#28dcd080#;
   pragma Export (C, u00309, "gtk__tableS");
   u00310 : constant Version_32 := 16#d25c02ca#;
   pragma Export (C, u00310, "gtk__textB");
   u00311 : constant Version_32 := 16#dd8c54be#;
   pragma Export (C, u00311, "gtk__textS");
   u00312 : constant Version_32 := 16#83527a69#;
   pragma Export (C, u00312, "gtk__old_editableB");
   u00313 : constant Version_32 := 16#992e4f9f#;
   pragma Export (C, u00313, "gtk__old_editableS");
   u00314 : constant Version_32 := 16#0492fb93#;
   pragma Export (C, u00314, "gtkada__dialogsB");
   u00315 : constant Version_32 := 16#95807dbe#;
   pragma Export (C, u00315, "gtkada__dialogsS");
   u00316 : constant Version_32 := 16#a637cc25#;
   pragma Export (C, u00316, "gtk__pixmapB");
   u00317 : constant Version_32 := 16#582aa316#;
   pragma Export (C, u00317, "gtk__pixmapS");
   u00318 : constant Version_32 := 16#f02501c3#;
   pragma Export (C, u00318, "gtkada__intlB");
   u00319 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00319, "gtkada__intlS");
   u00320 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00320, "gtkada__pixmapsS");
   u00321 : constant Version_32 := 16#c65dd140#;
   pragma Export (C, u00321, "system__val_intS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_operations%s
   --  system.img_int%s
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  gnat%s
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.atomic_operations.test_and_set%s
   --  system.atomic_operations.test_and_set%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.os_lib%s
   --  system.os_lib%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  system.val_uns%s
   --  system.val_int%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.random_numbers%s
   --  system.random_numbers%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  cairo%s
   --  cairo%b
   --  cairo.region%s
   --  cairo.region%b
   --  field%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.g_icon%s
   --  glib.g_icon%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.object%b
   --  glib.types%s
   --  glib.types%b
   --  glib.values%s
   --  glib.values%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gdk.color%s
   --  gdk.color%b
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk%s
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtk.orientable%s
   --  gtk.orientable%b
   --  gtk.tree_model%s
   --  gtk.tree_model%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.event%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.builder%s
   --  gtk.builder%b
   --  gtk.buildable%s
   --  gtk.buildable%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gdk.screen%s
   --  gdk.screen%b
   --  gtk.action%s
   --  gtk.action%b
   --  gtk.activatable%s
   --  gtk.activatable%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  field.operations%s
   --  user_if%s
   --  user_if%b
   --  field.operations%b
   --  mine_detector%b
   --  END ELABORATION ORDER

end ada_main;
